Loading...
Searching...
No Matches
spa_param_info Struct Reference
SPA » Parameters

information about a parameter More...

`#include <spa/param/param.h>`

## Data Fields

uint32_t | id
| enum spa_param_type
uint32_t | flags
uint32_t | user
| private user field.
int32_t | seq
| private seq field.
uint32_t | padding [4]

## Detailed Description

information about a parameter

Examples
  export-sink.c, export-source.c, and local-v4l2.c.

## Field Documentation

## id

uint32_t spa_param_info::id

enum spa_param_type

## flags

uint32_t spa_param_info::flags

## user

uint32_t spa_param_info::user

private user field.

You can use this to keep state.

## seq

int32_t spa_param_info::seq

private seq field.

You can use this to keep state of a pending update.

## padding

uint32_t spa_param_info::padding[4]

The documentation for this struct was generated from the following file:

- spa/param/param.h